summaryrefslogtreecommitdiff
path: root/dev-python/kconfiglib
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-05-14 00:39:25 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-05-14 00:39:25 +0000
commit1b15e182904bef0fce2ac462ca083f630c0bf6ab (patch)
treefbb9a3fd6dd90698b398b9bb5603c0722046bcd8 /dev-python/kconfiglib
parentbdcd1ba0cab23c57f5d926ff7d260f8d83d54ddc (diff)
downloadbaldeagleos-repo-1b15e182904bef0fce2ac462ca083f630c0bf6ab.tar.gz
baldeagleos-repo-1b15e182904bef0fce2ac462ca083f630c0bf6ab.tar.xz
baldeagleos-repo-1b15e182904bef0fce2ac462ca083f630c0bf6ab.zip
Adding metadata
Diffstat (limited to 'dev-python/kconfiglib')
-rw-r--r--dev-python/kconfiglib/kconfiglib-14.1.0-r1.ebuild32
1 files changed, 32 insertions, 0 deletions
diff --git a/dev-python/kconfiglib/kconfiglib-14.1.0-r1.ebuild b/dev-python/kconfiglib/kconfiglib-14.1.0-r1.ebuild
new file mode 100644
index 000000000000..d06e133c7717
--- /dev/null
+++ b/dev-python/kconfiglib/kconfiglib-14.1.0-r1.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+PYTHON_REQ_USE="ncurses"
+inherit distutils-r1
+
+DESCRIPTION="A flexible Python Kconfig implementation"
+HOMEPAGE="https://github.com/ulfalizer/Kconfiglib https://pypi.org/project/kconfiglib/"
+SRC_URI="https://github.com/ulfalizer/Kconfiglib/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+S=${WORKDIR}/${P^}
+
+LICENSE="ISC"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+python_prepare_all() {
+ distutils-r1_python_prepare_all
+
+ # hacks to run tests
+ mkdir Kconfiglib || die
+ ln -s ../tests Kconfiglib || die
+ # don't run kernel Kconfig compat tests
+ sed -e 's/run_compatibility_tests()$/#\0/' -i testsuite.py || die
+}
+
+python_test() {
+ "${EPYTHON}" testsuite.py || die "tests failed with ${EPYTHON}"
+}